#include <bits/stdc++.h>

using namespace std;

int cntIn[11];
int cntOut[11];

int main(int argc, char *argv[]) {
	ifstream in( argv[1] );
	ifstream out( argv[2] );
	ifstream ans( argv[3] );

	string n;
	in >> n;

	string m;
	out >> m;

	string res;
	ans >> res;

	string s;
	while( getline( out, s ) ) {
		if ( !s.empty() ) {
			cout << "Extra information after answer: " << s << endl;
			return 2;
		}
	}
	for( int i = 0; i < n.size(); i ++ ) {
		int j = n[i] - '0';
		cntIn[j] ++;
	}
	if( m != "-1" ) {
		for( int i = 0; i < m.size(); i ++ ) {
			if( !( '0' <= m[i] && m[i] <= '9' ) ) {
				cout << "Bad answer (symbol is not numeral): " << m << endl;
				return 2;
			}
			int j = m[i] - '0';
			cntOut[j] ++;
		}
	}
	if( res == m ) {
		cout << "Ok." << endl;
		return 0;
	}
	if( res == "-1" && m != "-1" ) {
		cout << "Wrong answer: expected " << res << ", found " << m << endl;
		return 1;
	}
	if( res != "-1" && m == "-1" ) {
		cout << "Wrong answer: expected " << res << ", found " << m << endl;
		return 1;
	}
	if( n.size() != m.size() ) {
		cout << "Bad answer (length): " << m << endl;
		return 1;
	}
	if( n[0] != m[0] ) {
		cout << "Bad answer (first symbol): " << m << endl;
		return 1;
	}
	if( n[n.size() - 1] != m[m.size() - 1] ) {
		cout << "Bad answer (last symbol): " << m << endl;
		return 1;
	}
	for( int i = 0; i < 10; i ++ ) {
		if( cntIn[i] != cntOut[i] ) {
			cout << "Wrong answer: cnt[" << i << "] is different" << endl;
			return 1;
		}
	}
	cout << "Ok." << endl;
	return 0;
}
